Package org.opensaml.security.crypto.ec.curves

# Class BrainpoolP320r1

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.security.crypto.ec.curves.AbstractNamedCurve
org.opensaml.security.crypto.ec.curves.BrainpoolP320r1

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `NamedCurve`

public class BrainpoolP320r1 extends AbstractNamedCurve
Descriptor for named curve 'brainpoolP320r1', OID: 1.3.36.3.3.2.8.1.1.9.

## Constructor Summary

Constructors
Constructor
Description
`BrainpoolP320r1()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Get the curve's canonical name by which it is known to the Java Cryptography Architecture (JCA).
`String`
`getObjectIdentifier()`
Get the curve's object identifier (OID).

### Methods inherited from class org.opensaml.security.crypto.ec.curves.AbstractNamedCurve

`buildParameterSpec, doInitialize, getParameterSpec, toString`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.opensaml.security.crypto.ec.NamedCurve

`getKeyLength, getURI`

## Constructor Details

### BrainpoolP320r1

public BrainpoolP320r1()

## Method Details

### getObjectIdentifier

@Nonnull public String getObjectIdentifier()
Get the curve's object identifier (OID).

Returns:
  the OID

### getName

@Nonnull public String getName()
Get the curve's canonical name by which it is known to the Java Cryptography Architecture (JCA).

Returns:
  the name